Kerbal Space Program - Bug #9443

Some menus don't have entries
04/23/2016 11:00 AM - ed_von_schleck

Status: Duplicate Start date: 04/23/2016
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Some menues (loading savegames, choosing mission - see attachments) don't have visible entries at all. If one clicks into the Ul
void, it is apparent that the entries are there, since some parts of the Ul react, but as is, the game is, sadly, unplayable.

This is a new bug as of 1.1.0 for me.

I'm on Linux, Fedora 23 (64bit). Starting the binary on the command line does not print anything helpful. Both the 64bit and 32bit

binaries show that problem.

Related issues:

Related to Kerbal Space Program - Bug #9621: Settings menu on Linux Duplicate 04/30/2016
Related to Kerbal Space Program - Bug #9341: Settings broken in Linux build Closed 04/20/2016
Copied to Kerbal Space Program - Bug #9454: Some menus don't have entries Duplicate 04/23/2016
History

#1 - 04/23/2016 09:37 PM - Anonymous
- Copied to Bug #9454: Some menus don't have entries added

#2 - 05/03/2016 02:25 AM -

For me this occurs at 1920x1200 and 1920x1080, but not 1240x720.
| haven't tested other resolutions yet.

-force-glcore fixes it. (but causes small shadow glitches)
Ubuntu 15.10, Linux 4.2.0-21-generic, Radeon HD7660G / HD7730M with free drivers.

#3 - 05/24/2016 10:42 AM - sal_vager
- Related to Bug #9621: Settings menu on Linux added

#4 - 07/17/2016 09:55 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 07/19/2016 03:32 PM - ___
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Still an issue.

#6 - 07/20/2016 10:58 AM - TriggerAu

Thanks for this, are you able to provide some logs form a clean 1.1.3 to help with any dev work on this?

#7 - 07/23/2016 02:15 PM - ___
- File no_force_glcore.log added

- File force_glcore.log added
- File settings.cfg added

Here they are.

The difference in GPU RAM makes me think the game uses different GPUs; My laptop has two: Radeon HD 7730M and Radeon HD 7660G.

Other system details:
Linux 4.4.0-32-generic
Mesa 11.2.0

#8 - 07/29/2016 02:24 PM - sal_vager

I'm not sure if we can fix this, apparently it's a stencil issue in Unity that only shows on certain drivers.

#9 - 08/01/2016 10:04 AM - sal_vager
- Related to Bug #9341: Settings broken in Linux build added

#10 - 08/01/2016 10:07 AM - sal_vager
- Status changed from Updated to Duplicate
- % Done changed from 10 to 100

Turns out this is a duplicate of issue #9341

It's looking more and more like a driver issue, and the latest oibaf ppa mesa drivers do support the Unity3D stencilling on some hardware.

This issue should go away as the mesa driver improves, and all | can do is recommend you try updating.
